NETDEV_UPPER_GET_NEX(9)

NAME
netdev_upper_get_next_dev_rcu - Get the next dev from upper list

SYNOPSIS

struct net_device * netdev_upper_get_next_dev_rcu(struct net_device * dev, struct list_head ** iter);

ARGUMENTS

dev
    device

iter
    list_head ** of the current position

DESCRIPTION

Gets the next device from the dev's upper list, starting from iter position. The caller must hold RCU read lock.

COPYRIGHT